=== debian/changelog ===
plasma5support (6.1.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.1.0).
  * Update build-deps and deps with the info from cmake.
  * Disable tests.
  * Update list of installed files.
  * Add myself as uploader.

 -- Patrick Franz <deltaone@debian.org>  Fri, 21 Jun 2024 13:18:24 +0200

plasma5support (6.0.5-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Initial release. (Closes: #1072713)

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 07 Jun 2024 23:40:22 +0200
