=== debian/control ===
Source: plasma5support
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.2.0~),
               libkf6config-dev (>= 6.2.0~),
               libkf6coreaddons-dev (>= 6.2.0~),
               libkf6guiaddons-dev (>= 6.2.0~),
               libkf6i18n-dev (>= 6.2.0~),
               libkf6notifications-dev (>= 6.2.0~),
               libkf6solid-dev (>= 6.2.0~),
               libksysguard-dev (>= 4:6.1.0~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.6.0+dfsg~),
               qt6-declarative-dev (>= 6.6.0+dfsg~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/plasma5support
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma5support
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma5support.git
Rules-Requires-Root: no

Package: libplasma5support6
Section: libs
Architecture: any
Multi-Arch: same
Depends: libplasma5support-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: support components for porting from KF5/Qt5 to KF6/Qt6 - shared library
 Plasma5Support Framework providing migration aids for KF5 -> KF6 migrations.
 .
 This package contains the shared library.

Package: libplasma5support-data
Section: libs
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: support components for porting from KF5/Qt5 to KF6/Qt6 - data files
 Plasma5Support Framework providing migration aids for KF5 -> KF6 migrations.
 .
 This package contains the data files for the shared library.

Package: libplasma5support-dev
Section: libdevel
Architecture: any
Depends: libplasma5support6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: support components for porting from KF5/Qt5 to KF6/Qt6 - development files
 Plasma5Support Framework providing migration aids for KF5 -> KF6 migrations.
 .
 This package contains the development files for the shared library.

Package: qml6-module-org-kde-plasma-plasma5support
Section: libs
Architecture: any
Multi-Arch: same
Depends: libplasma5support6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: support components for porting from KF5/Qt5 to KF6/Qt6 - QML module
 Plasma5Support Framework providing migration aids for KF5 -> KF6 migrations.
 .
 This package contains the QML module.
