## plasma5support 6.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.16)
-set(PROJECT_VERSION "6.1.0")
+set(PROJECT_VERSION "6.1.5")
 project(Plasma5Support VERSION ${PROJECT_VERSION})
 
-set(PROJECT_DEP_VERSION "6.1.0")
+set(PROJECT_DEP_VERSION "6.1.5")
 set(QT_MIN_VERSION "6.6.0")
 set(KF6_MIN_VERSION "6.2.0")
