=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: plasma5support
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -15,14 +16,14 @@
                libkf6i18n-dev (>= 6.2.0~),
                libkf6notifications-dev (>= 6.2.0~),
                libkf6solid-dev (>= 6.2.0~),
-               libksysguard-dev (>= 4:6.1.0~),
+               libksysguard-dev (>= 4:6.1.5~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.6.0+dfsg~),
                qt6-declarative-dev (>= 6.6.0+dfsg~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/plasma5support
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma5support
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma5support.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma5support
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma5support
 Rules-Requires-Root: no
 
 Package: libplasma5support6
@@ -42,6 +43,8 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends},
+Breaks: plasma-workspace-data (<< 4:6.0.0~),
+Replaces: plasma-workspace-data (<< 4:6.0.0~),
 Description: support components for porting from KF5/Qt5 to KF6/Qt6 - data files
  Plasma5Support Framework providing migration aids for KF5 -> KF6 migrations.
  .
