## plasma5support 6.2.90

=== debian/changelog ===
plasma5support (4:6.2.90-1ubuntu1) plucky; urgency=medium

  * Merge from Debian experimental. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Bump KF6 and Plasma build deps to current versions (6.10.0 & 6.2.90).

 -- Rik Mills <rikmills@kde.org>  Sun, 19 Jan 2025 10:44:13 +0000

plasma5support (4:6.2.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.90).
  * Update build-deps and deps with the info from cmake.
  * Package libplasma-geolocation-interface6 moved from plasma-workspace.
  * Bump epoch to match previous epoch libplasma-geolocation-interface6 had
    when it was part of plasma-workspace.
  * Bump Breaks/Replaces against plasma-workspace/plasma-workspace-data
    for files that have been newly moved to the plasma5support source.
  * Bump inter-plasma versioned dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 11 Jan 2025 23:38:23 +0100

plasma5support (6.2.90-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.90)
  * Update build deps.
  * Update install files.
  * Bump breaks/replaces for files moved from src:plasma-workspace.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 07:43:48 +0000

plasma5support (6.2.5-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 31 Dec 2024 19:05:15 +0000

plasma5support (6.2.4-0ubuntu2) plucky; urgency=medium

  * Merge changes from 6.2.3-1 in Debian unstable:
    - Use dh_qmldeps to detect QML dependencies.
    - Add qml6-module packages to -dev package for QML dependency
      detection.

 -- Rik Mills <rikmills@kde.org>  Sun, 01 Dec 2024 16:42:28 +0000

plasma5support (6.2.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 26 Nov 2024 12:16:35 +0000

plasma5support (6.2.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.0)
  * New build depends on libkf6kio-dev and libkf6service-dev
  * Update install files.
  * Update breaks/replaces against plasm-workspace 6.1.5
  * New upstream release (6.2.1)
  * New upstream release (6.2.2)
  * New upstream release (6.2.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 20:00:13 +0000
