=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: plasma5support
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: debhelper-compat (= 13),
@@ -9,24 +10,52 @@
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
                cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.5.0~),
-               libkf6config-dev (>= 6.2.0~),
-               libkf6coreaddons-dev (>= 6.2.0~),
-               libkf6guiaddons-dev (>= 6.2.0~),
-               libkf6i18n-dev (>= 6.2.0~),
-               libkf6kio-dev,
-               libkf6notifications-dev (>= 6.2.0~),
-               libkf6service-dev,
-               libkf6solid-dev (>= 6.2.0~),
-               libksysguard-dev (>= 4:6.2.0~),
+               extra-cmake-modules (>= 6.10.0~),
+               libkf6config-dev (>= 6.10.0~),
+               libkf6coreaddons-dev (>= 6.10.0~),
+               libkf6guiaddons-dev (>= 6.10.0~),
+               libkf6i18n-dev (>= 6.10.0~),
+               libkf6idletime-dev (>= 6.10.0),
+               libkf6kio-dev (>= 6.10.0~),
+               libkf6networkmanagerqt-dev (>= 6.10.0),
+               libkf6notifications-dev (>= 6.10.0~),
+               libkf6service-dev (>= 6.10.0~),
+               libkf6solid-dev (>= 6.10.0~),
+               libksysguard-dev (>= 4:6.2.90~),
+               libplasmaactivities-dev (>= 6.2.90~),
+               libx11-dev,
+               libxfixes-dev,
                libxkbcommon-dev,
                qt6-base-dev (>= 6.7.0~),
                qt6-declarative-dev (>= 6.7.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/plasma5support
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma5support
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma5support.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma5support
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma5support
 Rules-Requires-Root: no
+
+Package: libplasma-geolocation-interface6
+Section: libs
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Description: Plasma geolocation library
+ This library provides support for interfacing with geolocation
+ provider services like GPS or Mozilla Location Service.
+
+Package: libplasma-geolocation-interface-dev
+Section: libdevel
+Architecture: any
+Multi-Arch: same
+Depends: libplasma-geolocation-interface6 (= ${binary:Version}),
+         ${misc:Depends},
+Description: development files for the Plasma geolocation library
+ This library provides support for interfacing with geolocation
+ provider services like GPS or Mozilla Location Service.
+ .
+ This package contains development files for building software that
+ uses the Plasma geolocation library.
 
 Package: libplasma5support6
 Section: libs
@@ -35,8 +64,8 @@
 Depends: libplasma5support-data (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-Breaks: plasma-workspace (<< 4:6.2.0~),
-Replaces: plasma-workspace (<< 4:6.2.0~),
+Breaks: plasma-workspace (<< 4:6.2.90~),
+Replaces: plasma-workspace (<< 4:6.2.90~),
 Description: support components for porting from KF5/Qt5 to KF6/Qt6 - shared library
  Plasma5Support Framework providing migration aids for KF5 -> KF6 migrations.
  .
@@ -47,8 +76,8 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends},
-Breaks: plasma-workspace-data (<< 4:6.2.0~),
-Replaces: plasma-workspace-data (<< 4:6.2.0~),
+Breaks: plasma-workspace-data (<< 4:6.2.90~),
+Replaces: plasma-workspace-data (<< 4:6.2.90~),
 Description: support components for porting from KF5/Qt5 to KF6/Qt6 - data files
  Plasma5Support Framework providing migration aids for KF5 -> KF6 migrations.
  .
