## plasma5support 6.3.0

=== debian/changelog ===
plasma5support (4:6.3.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.0).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 10 Feb 2025 14:59:55 +0100

plasma5support (4:6.2.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.91).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 23 Jan 2025 23:53:11 +0100

plasma5support (4:6.2.90-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Add missing Breaks/Replaces against plasma-workspace and plasma-
    workspace-dev. (Closes: #1093742)

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 22 Jan 2025 09:26:48 +0100
