=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: plasma5support
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: debhelper-compat (= 13),
@@ -11,18 +10,18 @@
                dh-sequence-qmldeps,
                cmake (>= 3.16~),
                extra-cmake-modules (>= 6.10.0~),
-               libkf6config-dev (>= 6.10.0~),
-               libkf6coreaddons-dev (>= 6.10.0~),
-               libkf6guiaddons-dev (>= 6.10.0~),
-               libkf6i18n-dev (>= 6.10.0~),
-               libkf6idletime-dev (>= 6.10.0),
-               libkf6kio-dev (>= 6.10.0~),
-               libkf6networkmanagerqt-dev (>= 6.10.0),
-               libkf6notifications-dev (>= 6.10.0~),
-               libkf6service-dev (>= 6.10.0~),
-               libkf6solid-dev (>= 6.10.0~),
+               libkf6config-dev (>= 6.2.0~),
+               libkf6coreaddons-dev (>= 6.2.0~),
+               libkf6guiaddons-dev (>= 6.2.0~),
+               libkf6i18n-dev (>= 6.2.0~),
+               libkf6idletime-dev,
+               libkf6kio-dev,
+               libkf6networkmanagerqt-dev,
+               libkf6notifications-dev (>= 6.2.0~),
+               libkf6service-dev,
+               libkf6solid-dev (>= 6.2.0~),
                libksysguard-dev (>= 4:6.2.90~),
-               libplasmaactivities-dev (>= 6.2.90~),
+               libplasmaactivities-dev,
                libx11-dev,
                libxfixes-dev,
                libxkbcommon-dev,
@@ -30,16 +29,17 @@
                qt6-declarative-dev (>= 6.7.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/plasma5support
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma5support
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma5support
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma5support
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma5support.git
 Rules-Requires-Root: no
 
 Package: libplasma-geolocation-interface6
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Breaks: plasma-workspace (<< 4:6.2.90~),
+Replaces: plasma-workspace (<< 4:6.2.90~),
 Description: Plasma geolocation library
  This library provides support for interfacing with geolocation
  provider services like GPS or Mozilla Location Service.
@@ -50,6 +50,8 @@
 Multi-Arch: same
 Depends: libplasma-geolocation-interface6 (= ${binary:Version}),
          ${misc:Depends},
+Breaks: plasma-workspace-dev (<< 4:6.2.90~),
+Replaces: plasma-workspace-dev (<< 4:6.2.90~),
 Description: development files for the Plasma geolocation library
  This library provides support for interfacing with geolocation
  provider services like GPS or Mozilla Location Service.
