## plasma5support 6.3.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
-set(PROJECT_VERSION "6.1.5")
+set(PROJECT_VERSION "6.3.4")
 project(Plasma5Support VERSION ${PROJECT_VERSION})
 
-set(PROJECT_DEP_VERSION "6.1.5")
-set(QT_MIN_VERSION "6.6.0")
-set(KF6_MIN_VERSION "6.2.0")
+set(PROJECT_DEP_VERSION "6.3.4")
+set(QT_MIN_VERSION "6.7.0")
+set(KF6_MIN_VERSION "6.10.0")
 
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -45,7 +45,7 @@
 add_definitions(-DQT_NO_FOREACH)
 ################# now find all used packages #################
 
-find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Gui Quick Sql Qml Widgets)
+find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Gui Quick Sql Qml Widgets Gui)
 
 find_package(KF6 ${KF_DEP_VERSION} REQUIRED
     COMPONENTS
@@ -55,8 +55,19 @@
         I18n
         Notifications
         Solid
+        Service
+        IdleTime
+        KIO
 )
-find_package(KSysGuard CONFIG REQUIRED) # devicenotifications
+
+find_package(KSysGuard CONFIG REQUIRED) #devicenotifications
+find_package(KF6NetworkManagerQt) #geolocation
+find_package(PlasmaActivities) #activites
+
+option(WITH_X11 "Build mouse data engine with X11 support." ON)
+if(WITH_X11)
+    find_package(X11 REQUIRED) #mouse
+endif()
 
 #########################################################################
