=== debian/control ===
--- 
+++ 
@@ -20,14 +20,14 @@
                libkf6notifications-dev (>= 6.2.0~),
                libkf6service-dev,
                libkf6solid-dev (>= 6.2.0~),
-               libksysguard-dev (>= 4:6.2.90~),
+               libksysguard-dev (>= 4:6.3.4~),
                libplasmaactivities-dev,
                libx11-dev,
                libxfixes-dev,
                libxkbcommon-dev,
                qt6-base-dev (>= 6.7.0~),
                qt6-declarative-dev (>= 6.7.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/plasma/plasma5support
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma5support
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma5support.git
