=== debian/control ===
--- 
+++ 
@@ -1,36 +1,37 @@
 Source: plasma5support
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.10.0~),
-               libkf6config-dev (>= 6.2.0~),
-               libkf6coreaddons-dev (>= 6.2.0~),
-               libkf6guiaddons-dev (>= 6.2.0~),
-               libkf6i18n-dev (>= 6.2.0~),
-               libkf6idletime-dev,
-               libkf6kio-dev,
-               libkf6networkmanagerqt-dev,
-               libkf6notifications-dev (>= 6.2.0~),
-               libkf6service-dev,
-               libkf6solid-dev (>= 6.2.0~),
-               libksysguard-dev (>= 4:6.3.4~),
-               libplasmaactivities-dev,
+               libkf6config-dev (>= 6.10.0~),
+               libkf6coreaddons-dev (>= 6.10.0~),
+               libkf6guiaddons-dev (>= 6.10.0~),
+               libkf6i18n-dev (>= 6.10.0~),
+               libkf6idletime-dev (>= 6.10.0),
+               libkf6kio-dev (>= 6.10.0~),
+               libkf6networkmanagerqt-dev (>= 6.10.0),
+               libkf6notifications-dev (>= 6.10.0~),
+               libkf6service-dev (>= 6.10.0~),
+               libkf6solid-dev (>= 6.10.0~),
+               libksysguard-dev (>= 4:6.3.5~),
+               libplasmaactivities-dev (>= 6.3.5~),
                libx11-dev,
                libxfixes-dev,
                libxkbcommon-dev,
                qt6-base-dev (>= 6.7.0~),
                qt6-declarative-dev (>= 6.7.0~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/plasma5support
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma5support
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma5support.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma5support
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma5support
 Rules-Requires-Root: no
 
 Package: libplasma-geolocation-interface6
